Index: demo/graph_to_eps_demo.cc
===================================================================
--- demo/graph_to_eps_demo.cc	(revision 211)
+++ demo/graph_to_eps_demo.cc	(revision 209)
@@ -21,6 +21,6 @@
 /// \brief Demo of the graph drawing function \ref graphToEps()
 ///
-/// This demo program shows examples how to use the function \ref
-/// graphToEps(). It takes no input but simply creates seven
+/// This demo program shows examples how to  use the function \ref
+/// graphToEps(). It takes no input but simply creates  six
 /// <tt>.eps</tt> files demonstrating the capability of \ref
 /// graphToEps(), and showing how to draw directed graphs,
@@ -82,5 +82,5 @@
   IdMap<ListDigraph,Node> id(g);
 
-  // Create .eps files showing the digraph with different options
+  // Create five .eps files showing the digraph with different options
   cout << "Create 'graph_to_eps_demo_out_1_pure.eps'" << endl;
   graphToEps(g,"graph_to_eps_demo_out_1_pure.eps").
@@ -119,5 +119,4 @@
     run();
 
-  // Add more arcs to the digraph
   a=g.addArc(n1,n4); acolors[a]=2; widths[a]=1;
   a=g.addArc(n4,n1); acolors[a]=1; widths[a]=2;
@@ -131,6 +130,7 @@
   a=g.addArc(n1,n2); acolors[a]=7; widths[a]=1;
 
-  cout << "Create 'graph_to_eps_demo_out_4_par.eps'" << endl;
-  graphToEps(g,"graph_to_eps_demo_out_4_par.eps").
+  cout << "Create 'graph_to_eps_demo_out_par.eps'" << endl;
+  graphToEps(g,"graph_to_eps_demo_out_par.eps").
+    //scale(10).
     title("Sample .eps figure (parallel arcs)").
     copyright("(C) 2003-2008 LEMON Project").
@@ -146,6 +146,6 @@
     run();
 
-  cout << "Create 'graph_to_eps_demo_out_5_par_arr.eps'" << endl;
-  graphToEps(g,"graph_to_eps_demo_out_5_par_arr.eps").
+  cout << "Create 'graph_to_eps_demo_out_4_par_arr.eps'" << endl;
+  graphToEps(g,"graph_to_eps_demo_out_4_par_arr.eps").
     title("Sample .eps figure (parallel arcs and arrowheads)").
     copyright("(C) 2003-2008 LEMON Project").
@@ -162,6 +162,6 @@
     run();
 
-  cout << "Create 'graph_to_eps_demo_out_6_par_arr_a4.eps'" << endl;
-  graphToEps(g,"graph_to_eps_demo_out_6_par_arr_a4.eps").
+  cout << "Create 'graph_to_eps_demo_out_5_par_arr_a4.eps'" << endl;
+  graphToEps(g,"graph_to_eps_demo_out_5_par_arr_a4.eps").
     title("Sample .eps figure (fits to A4)").
     copyright("(C) 2003-2008 LEMON Project").
@@ -191,6 +191,6 @@
   }
 
-  cout << "Create 'graph_to_eps_demo_out_7_colors.eps'" << endl;
-  graphToEps(h,"graph_to_eps_demo_out_7_colors.eps").
+  cout << "Create 'graph_to_eps_demo_out_6_colors.eps'" << endl;
+  graphToEps(h,"graph_to_eps_demo_out_6_colors.eps").
     scale(60).
     title("Sample .eps figure (Palette demo)").
Index: doc/Doxyfile.in
===================================================================
--- doc/Doxyfile.in	(revision 153)
+++ doc/Doxyfile.in	(revision 212)
@@ -103,5 +103,5 @@
 EXAMPLE_RECURSIVE      = NO
 IMAGE_PATH             = @abs_top_srcdir@/doc/images \
-		       	 @abs_top_builddir@/doc/gen-images
+                         @abs_top_builddir@/doc/gen-images
 INPUT_FILTER           = 
 FILTER_PATTERNS        = 
Index: doc/lgf.dox
===================================================================
--- doc/lgf.dox	(revision 209)
+++ doc/lgf.dox	(revision 212)
@@ -58,8 +58,8 @@
 \code
  @nodes
- label   coordinates size    title
- 1       (10,20)     10      "First node"
- 2       (80,80)     8       "Second node"
- 3       (40,10)     10      "Third node"
+ label  coordinates  size    title
+ 1      (10,20)      10      "First node"
+ 2      (80,80)      8       "Second node"
+ 3      (40,10)      10      "Third node"
 \endcode
 
@@ -73,5 +73,5 @@
 \code
  @arcs
-               capacity
+         capacity
  1   2   16
  1   3   12
Index: lemon/assert.h
===================================================================
--- lemon/assert.h	(revision 210)
+++ lemon/assert.h	(revision 212)
@@ -67,15 +67,15 @@
 #undef LEMON_DEBUG
 
-#if (defined(LEMON_ASSERT_LOG) ? 1 : 0) +                \
-  (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +                \
+#if (defined(LEMON_ASSERT_LOG) ? 1 : 0) +               \
+  (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +               \
   (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) > 1
 #error "LEMON assertion system is not set properly"
 #endif
 
-#if ((defined(LEMON_ASSERT_LOG) ? 1 : 0) +                \
-     (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +                \
-     (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) == 1 ||        \
-     defined(LEMON_ENABLE_ASSERTS)) &&                        \
-  (defined(LEMON_DISABLE_ASSERTS) ||                        \
+#if ((defined(LEMON_ASSERT_LOG) ? 1 : 0) +              \
+     (defined(LEMON_ASSERT_ABORT) ? 1 : 0) +            \
+     (defined(LEMON_ASSERT_CUSTOM) ? 1 : 0) == 1 ||     \
+     defined(LEMON_ENABLE_ASSERTS)) &&                  \
+  (defined(LEMON_DISABLE_ASSERTS) ||                    \
    defined(NDEBUG))
 #error "LEMON assertion system is not set properly"
@@ -169,7 +169,7 @@
 /// behaviour is changed appropiately to the new settings.
 #  define LEMON_ASSERT(exp, msg)                                        \
-  (static_cast<void> (!!(exp) ? 0 : (                                        \
-    LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                                \
-                         LEMON_FUNCTION_NAME,                                \
+  (static_cast<void> (!!(exp) ? 0 : (                                   \
+    LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                            \
+                         LEMON_FUNCTION_NAME,                           \
                          ::lemon::_assert_bits::cstringify(msg), #exp), 0)))
 
@@ -185,7 +185,7 @@
 ///
 /// \see LEMON_ASSERT
-#  define LEMON_FIXME(msg)                                                \
+#  define LEMON_FIXME(msg)                                              \
   (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,        \
-                        ::lemon::_assert_bits::cstringify(msg),          \
+                        ::lemon::_assert_bits::cstringify(msg),         \
                         static_cast<const char*>(0)))
 
@@ -213,8 +213,8 @@
 ///
 /// \see LEMON_ASSERT
-#  define LEMON_DEBUG(exp, msg)                                                \
-  (static_cast<void> (!!(exp) ? 0 : (                                        \
+#  define LEMON_DEBUG(exp, msg)                                         \
+  (static_cast<void> (!!(exp) ? 0 : (                                   \
     LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                            \
-                         LEMON_FUNCTION_NAME,                                \
+                         LEMON_FUNCTION_NAME,                           \
                          ::lemon::_assert_bits::cstringify(msg), #exp), 0)))
 
@@ -226,21 +226,21 @@
 #    define LEMON_DEBUG(exp, msg) (static_cast<void>(0))
 #  else
-#    define LEMON_ASSERT(exp, msg)                                        \
-       (static_cast<void> (!!(exp) ? 0 : (                                \
+#    define LEMON_ASSERT(exp, msg)                                      \
+       (static_cast<void> (!!(exp) ? 0 : (                              \
         LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                        \
-                             LEMON_FUNCTION_NAME,                        \
-                             ::lemon::_assert_bits::cstringify(msg),        \
+                             LEMON_FUNCTION_NAME,                       \
+                             ::lemon::_assert_bits::cstringify(msg),    \
                              #exp), 0)))
-#    define LEMON_FIXME(msg)                                                \
-       (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,        \
-                             ::lemon::_assert_bits::cstringify(msg),        \
+#    define LEMON_FIXME(msg)                                            \
+       (LEMON_ASSERT_HANDLER(__FILE__, __LINE__, LEMON_FUNCTION_NAME,   \
+                             ::lemon::_assert_bits::cstringify(msg),    \
                              static_cast<const char*>(0)))
 
 #    if LEMON_ENABLE_DEBUG
 #      define LEMON_DEBUG(exp, msg)
-         (static_cast<void> (!!(exp) ? 0 : (         \
-           LEMON_ASSERT_HANDLER(__FILE__, __LINE__,  \
-                                LEMON_FUNCTION_NAME, \
-                                ::lemon::_assert_bits::cstringify(msg),     \
+         (static_cast<void> (!!(exp) ? 0 : (                            \
+           LEMON_ASSERT_HANDLER(__FILE__, __LINE__,                     \
+                                LEMON_FUNCTION_NAME,                    \
+                                ::lemon::_assert_bits::cstringify(msg), \
                                 #exp), 0)))
 #    else
@@ -250,12 +250,2 @@
 
 #endif
-
-#ifdef DOXYGEN
-
-
-#else
-
-
-#endif
-
-
Index: lemon/concepts/path.h
===================================================================
--- lemon/concepts/path.h	(revision 209)
+++ lemon/concepts/path.h	(revision 212)
@@ -101,6 +101,6 @@
         /// Comparison operator
         bool operator!=(const ArcIt&) const {return true;}
-         /// Comparison operator
-         bool operator<(const ArcIt&) const {return false;}
+        /// Comparison operator
+        bool operator<(const ArcIt&) const {return false;}
 
       };
@@ -256,6 +256,6 @@
         /// Comparison operator
         bool operator!=(const ArcIt&) const {return true;}
-         /// Comparison operator
-         bool operator<(const ArcIt&) const {return false;}
+        /// Comparison operator
+        bool operator<(const ArcIt&) const {return false;}
 
       };
@@ -284,6 +284,6 @@
         /// Comparison operator
         bool operator!=(const RevArcIt&) const {return true;}
-         /// Comparison operator
-         bool operator<(const RevArcIt&) const {return false;}
+        /// Comparison operator
+        bool operator<(const RevArcIt&) const {return false;}
 
       };
Index: lemon/error.h
===================================================================
--- lemon/error.h	(revision 209)
+++ lemon/error.h	(revision 212)
@@ -71,5 +71,5 @@
       try {
         if (!copy.valid()) return;
-         *ptr = copy.get();
+        *ptr = copy.get();
       } catch (...) {}
     }
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 210)
+++ lemon/graph_to_eps.h	(revision 212)
@@ -909,5 +909,5 @@
           //\todo better 'epsilon' would be nice here.
           dim2::Point<double> d(dvec/std::max(l,EPSILON));
-           dim2::Point<double> m;
+          dim2::Point<double> m;
 //           m=dim2::Point<double>(mycoords[g.target(*i)]+
 //                                 mycoords[g.source(*i)])/2.0;
@@ -917,5 +917,5 @@
 //                (_nodeSizes[g.source(*i)]+_nodeSizes[g.target(*i)]));
 
-           m=dim2::Point<double>(mycoords[g.source(*i)])+
+          m=dim2::Point<double>(mycoords[g.source(*i)])+
             d*(l+_nodeSizes[g.source(*i)]-_nodeSizes[g.target(*i)])/2.0;
 
Index: lemon/graph_utils.h
===================================================================
--- lemon/graph_utils.h	(revision 209)
+++ lemon/graph_utils.h	(revision 212)
@@ -53,16 +53,16 @@
   ///on a template parameter, then use \c TEMPLATE_DIGRAPH_TYPEDEFS()
   ///macro.
-#define DIGRAPH_TYPEDEFS(Digraph)                                        \
-  typedef Digraph::Node Node;                                                \
-  typedef Digraph::NodeIt NodeIt;                                        \
-  typedef Digraph::Arc Arc;                                                \
-  typedef Digraph::ArcIt ArcIt;                                                \
-  typedef Digraph::InArcIt InArcIt;                                        \
-  typedef Digraph::OutArcIt OutArcIt;                                        \
-  typedef Digraph::NodeMap<bool> BoolNodeMap;                                \
-  typedef Digraph::NodeMap<int> IntNodeMap;                                \
-  typedef Digraph::NodeMap<double> DoubleNodeMap;                        \
-  typedef Digraph::ArcMap<bool> BoolArcMap;                                \
-  typedef Digraph::ArcMap<int> IntArcMap;                                \
+#define DIGRAPH_TYPEDEFS(Digraph)                                       \
+  typedef Digraph::Node Node;                                           \
+  typedef Digraph::NodeIt NodeIt;                                       \
+  typedef Digraph::Arc Arc;                                             \
+  typedef Digraph::ArcIt ArcIt;                                         \
+  typedef Digraph::InArcIt InArcIt;                                     \
+  typedef Digraph::OutArcIt OutArcIt;                                   \
+  typedef Digraph::NodeMap<bool> BoolNodeMap;                           \
+  typedef Digraph::NodeMap<int> IntNodeMap;                             \
+  typedef Digraph::NodeMap<double> DoubleNodeMap;                       \
+  typedef Digraph::ArcMap<bool> BoolArcMap;                             \
+  typedef Digraph::ArcMap<int> IntArcMap;                               \
   typedef Digraph::ArcMap<double> DoubleArcMap
 
@@ -73,16 +73,16 @@
   ///\note Use this macro, if the graph type is a dependent type,
   ///ie. the graph type depend on a template parameter.
-#define TEMPLATE_DIGRAPH_TYPEDEFS(Digraph)                                \
-  typedef typename Digraph::Node Node;                                        \
-  typedef typename Digraph::NodeIt NodeIt;                                \
-  typedef typename Digraph::Arc Arc;                                        \
+#define TEMPLATE_DIGRAPH_TYPEDEFS(Digraph)                              \
+  typedef typename Digraph::Node Node;                                  \
+  typedef typename Digraph::NodeIt NodeIt;                              \
+  typedef typename Digraph::Arc Arc;                                    \
   typedef typename Digraph::ArcIt ArcIt;                                \
-  typedef typename Digraph::InArcIt InArcIt;                                \
-  typedef typename Digraph::OutArcIt OutArcIt;                                \
-  typedef typename Digraph::template NodeMap<bool> BoolNodeMap;                \
-  typedef typename Digraph::template NodeMap<int> IntNodeMap;                \
-  typedef typename Digraph::template NodeMap<double> DoubleNodeMap;        \
-  typedef typename Digraph::template ArcMap<bool> BoolArcMap;                \
-  typedef typename Digraph::template ArcMap<int> IntArcMap;                \
+  typedef typename Digraph::InArcIt InArcIt;                            \
+  typedef typename Digraph::OutArcIt OutArcIt;                          \
+  typedef typename Digraph::template NodeMap<bool> BoolNodeMap;         \
+  typedef typename Digraph::template NodeMap<int> IntNodeMap;           \
+  typedef typename Digraph::template NodeMap<double> DoubleNodeMap;     \
+  typedef typename Digraph::template ArcMap<bool> BoolArcMap;           \
+  typedef typename Digraph::template ArcMap<int> IntArcMap;             \
   typedef typename Digraph::template ArcMap<double> DoubleArcMap
 
@@ -97,11 +97,11 @@
   ///on a template parameter, then use \c TEMPLATE_DIGRAPH_TYPEDEFS()
   ///macro.
-#define GRAPH_TYPEDEFS(Graph)                                                \
-  DIGRAPH_TYPEDEFS(Graph);                                                \
-  typedef Graph::Edge Edge;                                                \
-  typedef Graph::EdgeIt EdgeIt;                                                \
-  typedef Graph::IncEdgeIt IncEdgeIt;                                        \
-  typedef Graph::EdgeMap<bool> BoolEdgeMap;                                \
-  typedef Graph::EdgeMap<int> IntEdgeMap;                                \
+#define GRAPH_TYPEDEFS(Graph)                                           \
+  DIGRAPH_TYPEDEFS(Graph);                                              \
+  typedef Graph::Edge Edge;                                             \
+  typedef Graph::EdgeIt EdgeIt;                                         \
+  typedef Graph::IncEdgeIt IncEdgeIt;                                   \
+  typedef Graph::EdgeMap<bool> BoolEdgeMap;                             \
+  typedef Graph::EdgeMap<int> IntEdgeMap;                               \
   typedef Graph::EdgeMap<double> DoubleEdgeMap
 
@@ -112,11 +112,11 @@
   ///\note Use this macro, if the graph type is a dependent type,
   ///ie. the graph type depend on a template parameter.
-#define TEMPLATE_GRAPH_TYPEDEFS(Graph)                                        \
-  TEMPLATE_DIGRAPH_TYPEDEFS(Graph);                                        \
-  typedef typename Graph::Edge Edge;                                        \
+#define TEMPLATE_GRAPH_TYPEDEFS(Graph)                                  \
+  TEMPLATE_DIGRAPH_TYPEDEFS(Graph);                                     \
+  typedef typename Graph::Edge Edge;                                    \
   typedef typename Graph::EdgeIt EdgeIt;                                \
-  typedef typename Graph::IncEdgeIt IncEdgeIt;                                \
-  typedef typename Graph::template EdgeMap<bool> BoolEdgeMap;                \
-  typedef typename Graph::template EdgeMap<int> IntEdgeMap;                \
+  typedef typename Graph::IncEdgeIt IncEdgeIt;                          \
+  typedef typename Graph::template EdgeMap<bool> BoolEdgeMap;           \
+  typedef typename Graph::template EdgeMap<int> IntEdgeMap;             \
   typedef typename Graph::template EdgeMap<double> DoubleEdgeMap
 
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 210)
+++ lemon/lgf_reader.h	(revision 212)
@@ -147,5 +147,5 @@
     public:
       ValueStorage(Value& value, const Converter& converter = Converter())
-         : _value(value), _converter(converter) {}
+        : _value(value), _converter(converter) {}
 
       virtual void set(const std::string& value) {
@@ -511,5 +511,5 @@
     DigraphReader(const std::string& fn, Digraph& digraph)
       : _is(new std::ifstream(fn.c_str())), local_is(true), _digraph(digraph),
-            _use_nodes(false), _use_arcs(false),
+        _use_nodes(false), _use_arcs(false),
         _skip_nodes(false), _skip_arcs(false) {}
 
@@ -520,5 +520,5 @@
     DigraphReader(const char* fn, Digraph& digraph)
       : _is(new std::ifstream(fn)), local_is(true), _digraph(digraph),
-            _use_nodes(false), _use_arcs(false),
+        _use_nodes(false), _use_arcs(false),
         _skip_nodes(false), _skip_arcs(false) {}
 
@@ -1295,5 +1295,5 @@
     GraphReader(const std::string& fn, Graph& graph)
       : _is(new std::ifstream(fn.c_str())), local_is(true), _graph(graph),
-            _use_nodes(false), _use_edges(false),
+        _use_nodes(false), _use_edges(false),
         _skip_nodes(false), _skip_edges(false) {}
 
@@ -1304,5 +1304,5 @@
     GraphReader(const char* fn, Graph& graph)
       : _is(new std::ifstream(fn)), local_is(true), _graph(graph),
-            _use_nodes(false), _use_edges(false),
+        _use_nodes(false), _use_edges(false),
         _skip_nodes(false), _skip_edges(false) {}
 
Index: lemon/lgf_writer.h
===================================================================
--- lemon/lgf_writer.h	(revision 209)
+++ lemon/lgf_writer.h	(revision 212)
@@ -182,5 +182,5 @@
     public:
       ValueStorage(const Value& value, const Converter& converter = Converter())
-         : _value(value), _converter(converter) {}
+        : _value(value), _converter(converter) {}
 
       virtual std::string get() {
Index: lemon/list_graph.h
===================================================================
--- lemon/list_graph.h	(revision 209)
+++ lemon/list_graph.h	(revision 212)
@@ -495,5 +495,5 @@
       Node b = addNode();
       for(OutArcIt e(*this,n);e!=INVALID;) {
-         OutArcIt f=e;
+        OutArcIt f=e;
         ++f;
         changeSource(e,b);
Index: test/heap_test.cc
===================================================================
--- test/heap_test.cc	(revision 209)
+++ test/heap_test.cc	(revision 212)
@@ -55,25 +55,25 @@
   "9\n"
   "@arcs\n"
-  "                label        capacity\n"
-  "0        5        0        94\n"
-  "3        9        1        11\n"
-  "8        7        2        83\n"
-  "1        2        3        94\n"
-  "5        7        4        35\n"
-  "7        4        5        84\n"
-  "9        5        6        38\n"
-  "0        4        7        96\n"
-  "6        7        8        6\n"
-  "3        1        9        27\n"
-  "5        2        10        77\n"
-  "5        6        11        69\n"
-  "6        5        12        41\n"
-  "4        6        13        70\n"
-  "3        2        14        45\n"
-  "7        9        15        93\n"
-  "5        9        16        50\n"
-  "9        0        17        94\n"
-  "9        6        18        67\n"
-  "0        9        19        86\n"
+  "                label   capacity\n"
+  "0       5       0       94\n"
+  "3       9       1       11\n"
+  "8       7       2       83\n"
+  "1       2       3       94\n"
+  "5       7       4       35\n"
+  "7       4       5       84\n"
+  "9       5       6       38\n"
+  "0       4       7       96\n"
+  "6       7       8       6\n"
+  "3       1       9       27\n"
+  "5       2       10      77\n"
+  "5       6       11      69\n"
+  "6       5       12      41\n"
+  "4       6       13      70\n"
+  "3       2       14      45\n"
+  "7       9       15      93\n"
+  "5       9       16      50\n"
+  "9       0       17      94\n"
+  "9       6       18      67\n"
+  "0       9       19      86\n"
   "@attributes\n"
   "source 3\n";
@@ -142,5 +142,5 @@
     if (dijkstra.reached(s)) {
       check( dijkstra.dist(t) - dijkstra.dist(s) <= length[a],
-                   "Error in a shortest path tree!");
+             "Error in a shortest path tree!");
     }
   }
